Description

Thierno DIOP wrote:

Hi,

My prelude-manager worked well. And today he stopped and displays the folloxing error:

prelude-manager: symbol lookup error: /usr/lib64/prelude-manager/reports/smtp.so: undefined symbol:

preludedb_result_idents_get_next.

Someone can help me please.

NB: Prelude is started in debug mode.

Regards

History

#1 - 11/06/2015 11:17 AM - Antoine LUONG

Hello,

Could you please attach here the [smtp] section of the /etc/prelude-manager/prelude-manager.conf file, and the corresponding e-mail template if you

use one?

Thank you.

#2 - 11/06/2015 03:47 PM - Thierno DIOP

Hello,

[smtp=test]

 

sender = xxxxxxx@yyyy.fr

 recipients = xxxxxxx@rrrrr.fr

 smtp-server = smtp.xxxxxx.fr

 subject = Alert: $alert.classification.text

 template = /etc/prelude-manager/smtp-template/mail.template1

 

dbtype = mysql

  dbname = prelude

  dbuser = xxxxx

  dbpass = ***

  dbhost = localhost
  correlated-alert-template = /etc/prelude-manager/smtp-template/mail.template1

#3 - 11/06/2015 06:14 PM - Antoine LUONG

Please attach the /etc/prelude-manager/smtp-template/mail.template1 file too to help us reproduce the error.

Thank you.

#4 - 11/09/2015 08:52 AM - Thierno DIOP

http://127.0.0.1:8000/?view=alert_summary&origin=alert_listing&analyzerid=$alert.analyzer(-1).analyzerid&messageid=$alert.messageid

$alert.classification.text : $alert.source(0).node.address(0).address -> $alert.target(0).node.address(0).address *

Create Time: $alert.create_time

Sensor: $alert.analyzer(-1).name - $alert.analyzer(-1).node.name - $alert.analyzer(-1).node.address(0).address *

#if $alert.correlation_alert.name

CorrelationAlert name: $alert.correlation_alert.name

#end if ***

#5 - 11/09/2015 05:31 PM - Antoine LUONG

Hello,

Please consider applying this patch to the prelude-manager source tree:

diff --git a/plugins/reports/smtp/smtp.c b/plugins/reports/smtp/smtp.c

index 5710ffb..c72c641 100644

--- a/plugins/reports/smtp/smtp.c

+++ b/plugins/reports/smtp/smtp.c

@@ -462,6 +462,7 @@ static int retrieve_from_db(smtp_plugin_t *plugin, const char *criteria_str)

         prelude_string_t *str;

         preludedb_result_idents_t *results;

         prelude_list_t clist, *tmp, *bkp;

+        unsigned int ident_idx = 0;

         ret = idmef_criteria_new_from_string(&criteria, criteria_str);

         if ( ret < 0 ) {

@@ -482,7 +483,7 @@ static int retrieve_from_db(smtp_plugin_t *plugin, const char *criteria_str)

         send_correlation_alert_notice(plugin, ret);

         prelude_list_init(&clist);

-        while ( preludedb_result_idents_get_next(results, &dbident) ) {

+        while ( preludedb_result_idents_get(results, ident_idx++, &dbident) ) {

                 ret = preludedb_get_alert(plugin->db, dbident, &idmef);

                 if ( ret < 0 ) {

                         prelude_log(PRELUDE_LOG_ERR, "failure retrieving message ident %" PRELUDE_PRIu64 ".\n

", dbident);

 

Regards
#6 - 01/28/2016 12:49 AM - Thomas ANDREJAK

- Status changed from Assigned to Closed

- Target version set to Prelude OSS 3.0.0

Fixed in next release
